<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>TestingCardsLotDetailsComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
                <code><a href="../interfaces/ConfirmBeforeQuit.html" target="_self" >ConfirmBeforeQuit</a></code>
                <code><a href="https://angular.io/api/core/OnDestroy" target="_blank" >OnDestroy</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>









            <tr>
                <td class="col-md-3">providers</td>
                <td class="col-md-9">
                            <code><a href="../injectables/PrinterTemplateService.html" target="_self" >PrinterTemplateService</a></code>
                </td>
            </tr>


            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>testing-cards-lot-details</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./testing-cards-lot-details.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./testing-cards-lot-details.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#allDoiForOperation">allDoiForOperation</a>
                            </li>
                            <li>
                                <a href="#form">form</a>
                            </li>
                            <li>
                                <a href="#inputs">inputs</a>
                            </li>
                            <li>
                                <a href="#mode">mode</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#operationId">operationId</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#printerForTest">printerForTest</a>
                            </li>
                            <li>
                                <a href="#readOnly">readOnly</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#saved">saved</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#subscriptions">subscriptions</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#afterUpdateOrSave">afterUpdateOrSave</a>
                            </li>
                            <li>
                                <a href="#isFormModified">isFormModified</a>
                            </li>
                            <li>
                                <a href="#ngOnDestroy">ngOnDestroy</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#save">save</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#updateDisableFormFields">updateDisableFormFields</a>
                            </li>
                            <li>
                                <a href="#updateShouldPrint">updateShouldPrint</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#cardTypePossibleValues">cardTypePossibleValues</a>
                                </li>
                                <li>
                                    <a href="#signaturePossibleValues">signaturePossibleValues</a>
                                </li>
                                <li>
                                    <a href="#testingCardLanguagePossibleValues">testingCardLanguagePossibleValues</a>
                                </li>
                                <li>
                                    <a href="#doiPossibleValue">doiPossibleValue</a>
                                </li>
                                <li>
                                    <a href="#forConfiguration">forConfiguration</a>
                                </li>
                                <li>
                                    <a href="#printerName">printerName</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(fb: <a href="https://angular.io/api/forms/FormBuilder" target="_blank">FormBuilder</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, operationDataService: <a href="../injectables/OperationDataService.html">OperationDataService</a>, testingCardsLotService: <a href="../injectables/TestingCardsLotService.html">TestingCardsLotService</a>, translateService: TranslateService, printerTemplateService: <a href="../injectables/PrinterTemplateService.html">PrinterTemplateService</a>, snackBar: MatSnackBar, readOnlyService: <a href="../injectables/ReadOnlyService.html">ReadOnlyService</a>, route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="58" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:58</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>fb</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/forms/FormBuilder" target="_blank" >FormBuilder</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationDataService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationDataService.html" target="_self" >OperationDataService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>testingCardsLotService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/TestingCardsLotService.html" target="_self" >TestingCardsLotService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>printerTemplateService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/PrinterTemplateService.html" target="_self" >PrinterTemplateService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>snackBar</td>
                                                  
                                                        <td>
                                                                    <code>MatSnackBar</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>readOnlyService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/ReadOnlyService.html" target="_self" >ReadOnlyService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="afterUpdateOrSave"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            afterUpdateOrSave
                            </b>
                            <a href="#afterUpdateOrSave"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>afterUpdateOrSave(message: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="216" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:216</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>message</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isFormModified"></a>
                        <span class="name">
                            <b>
                            isFormModified
                            </b>
                            <a href="#isFormModified"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isFormModified()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="133" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:133</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnDestroy"></a>
                        <span class="name">
                            <b>
                            ngOnDestroy
                            </b>
                            <a href="#ngOnDestroy"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnDestroy()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="157" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:157</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="161" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:161</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="save"></a>
                        <span class="name">
                            <b>
                            save
                            </b>
                            <a href="#save"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>save()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="196" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:196</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="updateDisableFormFields"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            updateDisableFormFields
                            </b>
                            <a href="#updateDisableFormFields"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>updateDisableFormFields()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="224" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:224</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="updateShouldPrint"></a>
                        <span class="name">
                            <b>
                            updateShouldPrint
                            </b>
                            <a href="#updateShouldPrint"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>updateShouldPrint(forceChangeValue)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="137" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:137</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                                    <td>Default value</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>forceChangeValue</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                                <code>false</code>
                                                        </td>

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="allDoiForOperation"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            allDoiForOperation
                            </b>
                            <a href="#allDoiForOperation"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>allDoiForOperation:     <code><a href="../interfaces/DomainOfInfluence.html" target="_self" >DomainOfInfluence[]</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../interfaces/DomainOfInfluence.html" target="_self" >DomainOfInfluence[]</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="55" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:55</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="form"></a>
                        <span class="name">
                            <b>
                            form
                            </b>
                            <a href="#form"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>form:     <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="49" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:49</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="inputs"></a>
                        <span class="name">
                            <b>
                            inputs
                            </b>
                            <a href="#inputs"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>inputs:     <code>QueryList&lt;MatInput&gt;</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>QueryList&lt;MatInput&gt;</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @ViewChildren(MatInput)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="52" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:52</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="mode"></a>
                        <span class="name">
                            <b>
                            mode
                            </b>
                            <a href="#mode"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>mode:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>&quot;create&quot;</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="51" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:51</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="operationId"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            operationId
                            </b>
                            <a href="#operationId"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>operationId:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="56" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:56</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="printerForTest"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            printerForTest
                            </b>
                            <a href="#printerForTest"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>printerForTest:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="57" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:57</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="readOnly"></a>
                        <span class="name">
                            <b>
                            readOnly
                            </b>
                            <a href="#readOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>readOnly:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="53" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:53</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="saved"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            saved
                            </b>
                            <a href="#saved"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>saved:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="58" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:58</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="subscriptions"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            subscriptions
                            </b>
                            <a href="#subscriptions"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>subscriptions:     <code>Subscription[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Subscription[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="54" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:54</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="cardTypePossibleValues"></a>
                        <span class="name"><b>cardTypePossibleValues</b><a href="#cardTypePossibleValues"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>cardTypePossibleValues()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="98" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:98</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="signaturePossibleValues"></a>
                        <span class="name"><b>signaturePossibleValues</b><a href="#signaturePossibleValues"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>signaturePossibleValues()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="105" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:105</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="testingCardLanguagePossibleValues"></a>
                        <span class="name"><b>testingCardLanguagePossibleValues</b><a href="#testingCardLanguagePossibleValues"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>testingCardLanguagePossibleValues()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="109" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:109</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="doiPossibleValue"></a>
                        <span class="name"><b>doiPossibleValue</b><a href="#doiPossibleValue"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>doiPossibleValue()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="113" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:113</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="forConfiguration"></a>
                        <span class="name"><b>forConfiguration</b><a href="#forConfiguration"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>forConfiguration()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="117" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:117</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="printerName"></a>
                        <span class="name"><b>printerName</b><a href="#printerName"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>printerName()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="121" class="link-to-prism">src/app/operation/testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component.ts:121</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnDestroy, OnInit, QueryList, ViewChildren } from &#x27;@angular/core&#x27;;
import { FormBuilder, FormGroup, Validators } from &#x27;@angular/forms&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { MatInput, MatSnackBar } from &#x27;@angular/material&#x27;;
import { ActivatedRoute, Router } from &#x27;@angular/router&#x27;;
import { DomainOfInfluence } from &#x27;../../../model/domain-of-Influence.model&#x27;;
import { OperationDataService } from &#x27;../../service/operation.data.service&#x27;;
import { OperationManagementService } from &#x27;../../service/operation-managment.service&#x27;;
import { PrinterTemplateService } from &#x27;../../voting-material/printer/services/printer-template.service&#x27;;
import {
  enableFormComponent, enableFormComponents, focusOnError, isFormModifiedAndNotSaved, REGEX_ALPHA_NUMERICAL_WITH_ACCENT,
  validateRegex
} from &#x27;../../../core/util/form-utils&#x27;;
import { take, zip } from &#x27;rxjs/operators&#x27;;
import { TestingCardsLotService } from &#x27;../service/testing-cards-lot.service&#x27;;
import * as moment from &#x27;moment&#x27;;
import { ConfirmBeforeQuit } from &#x27;../../../core/confirm-before-quit&#x27;;
import { ReadOnlyService } from &#x27;../../service/read-only.service&#x27;;
import { Subscription } from &#x27;rxjs/Subscription&#x27;;

@Component({
  selector: &#x27;testing-cards-lot-details&#x27;,
  templateUrl: &#x27;./testing-cards-lot-details.component.html&#x27;,
  styleUrls: [&#x27;./testing-cards-lot-details.component.scss&#x27;],
  providers: [PrinterTemplateService]
})
export class TestingCardsLotDetailsComponent implements OnInit, ConfirmBeforeQuit, OnDestroy {
  form: FormGroup;

  mode &#x3D; &quot;create&quot;;
  @ViewChildren(MatInput) inputs: QueryList&lt;MatInput&gt;;
  readOnly: boolean;
  private subscriptions: Subscription[] &#x3D; [];
  private allDoiForOperation: DomainOfInfluence[] &#x3D; [];
  private operationId: number;
  private printerForTest: string;
  private saved &#x3D; false;

  constructor(fb: FormBuilder,
              private router: Router,
              private operationManagementService: OperationManagementService,
              private operationDataService: OperationDataService,
              private testingCardsLotService: TestingCardsLotService,
              private translateService: TranslateService,
              private printerTemplateService: PrinterTemplateService,
              private snackBar: MatSnackBar,
              private readOnlyService: ReadOnlyService,
              private route: ActivatedRoute) {
    this.form &#x3D; fb.group({
      id: 0,
      lotName: [null, [
        Validators.required,
        Validators.maxLength(20),
        validateRegex(REGEX_ALPHA_NUMERICAL_WITH_ACCENT, &quot;onlyAlphaNumerical&quot;)
      ]],
      cardType: [this.forConfiguration ? {value: &#x27;TEST_SITE_TESTING_CARD&#x27;, disabled: true} : null,
        [Validators.required,]],
      count: [null, [Validators.required, Validators.min(1), Validators.max(1000)]],
      signature: [null, [Validators.required,]],
      firstName: [null, [Validators.required, Validators.maxLength(30)]],
      lastName: [null, [Validators.required, Validators.maxLength(30)]],
      birthday: [null, [Validators.required,]],
      address1: [null, [Validators.maxLength(200)]],
      address2: [null, [Validators.maxLength(200)]],
      street: [null, [Validators.required, Validators.maxLength(100)]],
      postalCode: [null, [Validators.required,
        Validators.maxLength(6),
        validateRegex(/^[0-9]*$/, &quot;onlyNumerical&quot;)]],
      city: [null, [Validators.required, Validators.maxLength(50)]],
      country: [null, [Validators.required, Validators.maxLength(50)]],
      language: [null, [Validators.required,]],
      doi: [[], [Validators.required]],
      shouldPrint: [{value: false, disabled: this.forConfiguration}]
    });
  }

  get cardTypePossibleValues() {
    if (this.forConfiguration) {
      return [&#x27;TEST_SITE_TESTING_CARD&#x27;];
    }
    return [&#x27;PRODUCTION_TESTING_CARD&#x27;, &#x27;CONTROLLER_TESTING_CARD&#x27;, &#x27;PRINTER_TESTING_CARD&#x27;];
  }

  get signaturePossibleValues() {
    return [&#x27;M&#x27;, &#x27;Ms&#x27;,];
  }

  get testingCardLanguagePossibleValues() {
    return [&#x27;FR&#x27;, &#x27;DE&#x27;,];
  }

  get doiPossibleValue() {
    return this.allDoiForOperation;
  }

  get forConfiguration() {
    return !!this.route.snapshot.data.forConfiguration;
  }

  get printerName() {
    if (this.form.getRawValue().cardType &#x3D;&#x3D; &#x27;PRINTER_TESTING_CARD&#x27;) {
      return this.translateService.instant(&#x27;testing-cards-lot.form.values.all-printers&#x27;);
    }

    if (this.form.get(&quot;shouldPrint&quot;).value) {
      return this.printerForTest ? this.printerForTest :
        this.translateService.instant(&#x27;testing-cards-lot.form.values.printer-config-not-defined&#x27;);
    }
    return this.translateService.instant(&#x27;testing-cards-lot.form.values.technical-printer&#x27;);
  }

  isFormModified(): boolean {
    return isFormModifiedAndNotSaved(this.form, this.saved);
  }

  updateShouldPrint(forceChangeValue &#x3D; false) {
    let currentType &#x3D; this.form.getRawValue().cardType;
    let control &#x3D; this.form.get(&quot;shouldPrint&quot;);
    if (this.readOnly &#x3D;&#x3D;&#x3D; true) {
      control.disable();
      control.setValue(this.form.getRawValue().shouldPrint);
    } else if (currentType &#x3D;&#x3D;&#x3D; &#x27;TEST_SITE_TESTING_CARD&#x27;) {
      control.disable();
      control.setValue(false);
    } else if (currentType &#x3D;&#x3D;&#x3D; &#x27;CONTROLLER_TESTING_CARD&#x27; || currentType &#x3D;&#x3D;&#x3D; &#x27;PRINTER_TESTING_CARD&#x27;) {
      control.disable();
      control.setValue(true);
    } else if (currentType &#x3D;&#x3D;&#x3D; &quot;PRODUCTION_TESTING_CARD&quot;) {
      control.enable();
      if (forceChangeValue) {
        control.setValue(false);
      }
    }
  }

  ngOnDestroy(): void {
    this.subscriptions.forEach(s &#x3D;&gt; s.unsubscribe())
  }

  ngOnInit() {
    this.route.data.subscribe(data &#x3D;&gt; {
        if (data.voterTestingCardsLot) {
          data.voterTestingCardsLot.birthday &#x3D; moment(data.voterTestingCardsLot.birthday);
          this.form.reset(data.voterTestingCardsLot);
          this.mode &#x3D; &quot;edit&quot;;
          this.updateShouldPrint();
        }
      }
    );

    this.subscriptions.push(
      this.readOnlyService.isTestingCardInReadOnly(this.forConfiguration)
        .subscribe(ro &#x3D;&gt; {
          this.readOnly &#x3D; ro;
          this.updateDisableFormFields();
        })
    );

    this.operationManagementService.operation.pipe(
      take(1),
      zip(this.printerTemplateService.getAllTemplates())
    ).subscribe(value &#x3D;&gt; {
      let operation &#x3D; value[0];
      let templates &#x3D; value[1];
      this.operationId &#x3D; operation.id;
      this.operationDataService.getAllRelatedDois(this.operationId).subscribe(data &#x3D;&gt; this.allDoiForOperation &#x3D; data);
      let selectedTemplate &#x3D; templates.find(t &#x3D;&gt; t.templateName &#x3D;&#x3D;&#x3D; operation.printerTemplate);
      if (selectedTemplate) {
        this.printerForTest &#x3D; selectedTemplate.printerIdForPrintableTestingCard;
      }
    });
  }


  save(): void {
    Object.keys(this.form.controls).forEach(k &#x3D;&gt; this.form.controls[k].markAsTouched());
    this.form.updateValueAndValidity();
    if (this.form.valid) {
      let rawValue &#x3D; this.form.getRawValue();
      rawValue.birthday &#x3D; rawValue.birthday.toDate();
      if (this.mode &#x3D;&#x3D;&#x3D; &quot;create&quot;) {
        this.testingCardsLotService
          .create(this.operationId, Object.assign(rawValue, {id: 0}))
          .subscribe(() &#x3D;&gt; this.afterUpdateOrSave(&#x27;testing-cards-lot.dialogs.save-success&#x27;));
      } else {
        this.testingCardsLotService
          .update(rawValue)
          .subscribe(() &#x3D;&gt; this.afterUpdateOrSave(&#x27;testing-cards-lot.dialogs.update-success&#x27;));
      }
    } else {
      focusOnError(this.form)
    }
  }

  private afterUpdateOrSave(message: string) {
    this.snackBar.open(this.translateService.instant(message), &#x27;&#x27;, {duration: 5000});
    this.saved &#x3D; true;
    this.router.navigate([&#x27;..&#x27;], {relativeTo: this.route});
    this.operationManagementService.shouldUpdateStatus(false);

  }

  private updateDisableFormFields() {
    enableFormComponents(this.form.controls, !this.readOnly);
    enableFormComponent(this.form.controls.cardType, !this.readOnly &amp;&amp; !this.forConfiguration);
    this.updateShouldPrint();
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;form [formGroup]&#x3D;&quot;form&quot; novalidate autocomplete&#x3D;&quot;off&quot;&gt;
  &lt;mat-card id&#x3D;&quot;testingCardsLotEdit&quot; [class.read-only]&#x3D;&quot;readOnly&quot;&gt;
    &lt;mat-card-header&gt;
      &lt;mat-card-title&gt;{{ &quot;testing-cards-lot.title&quot; | translate }}&lt;/mat-card-title&gt;
      &lt;mat-card-subtitle fxLayout fxLayoutAlign&#x3D;&quot;space-between&quot;&gt;
        &lt;span&gt;{{ &quot;testing-cards-lot.subtitle.&quot; + mode | translate }}&lt;/span&gt;
        &lt;span *ngIf&#x3D;&quot;!readOnly&quot;&gt;{{&#x27;global.forms.fields.required&#x27; | translate}}&lt;/span&gt;
      &lt;/mat-card-subtitle&gt;
    &lt;/mat-card-header&gt;

    &lt;mat-card-content class&#x3D;&quot;no-padding&quot;&gt;

      &lt;div class&#x3D;&quot;input-row&quot; fxLayout&#x3D;&quot;row wrap&quot;  fxLayoutGap&#x3D;&quot;2.5rem&quot;&gt;
        &lt;mat-form-field fxFlex&#x3D;&quot;1 0 20rem&quot;&gt;
          &lt;input matInput
                 name&#x3D;&quot;lotName&quot;
                 formControlName&#x3D;&quot;lotName&quot;
                 required
                 maxlength&#x3D;&quot;20&quot;
                 placeholder&#x3D;&quot;{{&#x27;testing-cards-lot.form.placeholder.lot-name&#x27; | translate  }}&quot;&gt;
          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;lotName&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;
        &lt;/mat-form-field&gt;

        &lt;div fxFlex&#x3D;&quot;1 0 20rem&quot;&gt;&lt;/div&gt;
        &lt;div fxFlex&#x3D;&quot;1 0 20rem&quot;&gt;&lt;/div&gt;
        &lt;div fxFlex&#x3D;&quot;1 0 20rem&quot;&gt;&lt;/div&gt;
      &lt;/div&gt;

      &lt;div class&#x3D;&quot;input-row&quot; fxLayout&#x3D;&quot;row wrap&quot; fxLayoutGap&#x3D;&quot;2.5rem&quot;&gt;

        &lt;mat-form-field fxFlex&#x3D;&quot;1 0 20rem&quot;&gt;
          &lt;mat-select name&#x3D;&quot;cardType&quot; formControlName&#x3D;&quot;cardType&quot; (selectionChange)&#x3D;&quot;updateShouldPrint(true)&quot;
                      placeholder&#x3D;&quot;{{&#x27;testing-cards-lot.form.placeholder.&#x27; + (forConfiguration?&#x27;card-type-fixed&#x27;:&#x27;card-type&#x27;)  | translate  }}&quot;&gt;
            &lt;mat-option *ngFor&#x3D;&quot;let possibleValue of cardTypePossibleValues&quot; [value]&#x3D;&quot;possibleValue&quot;&gt;
              {{&quot;dictionary.card-type.&quot; + possibleValue | translate}}
            &lt;/mat-option&gt;
          &lt;/mat-select&gt;
          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;cardType&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;
        &lt;/mat-form-field&gt;

        &lt;div fxFlex&#x3D;&quot;1 0 20rem&quot;&gt;
          &lt;div class&#x3D;&quot;as-fixed-placeholder&quot;&gt;
            {{&#x27;testing-cards-lot.form.placeholder.should-print&#x27; | translate }}
          &lt;/div&gt;

          &lt;mat-slide-toggle #shouldPrint name&#x3D;&quot;shouldPrint&quot; color&#x3D;&quot;primary&quot; formControlName&#x3D;&quot;shouldPrint&quot;&gt;
            &lt;span [class.disabled]&#x3D;&quot;shouldPrint.disabled&quot;&gt;{{&#x27;testing-cards-lot.form.values.should-print.&#x27; + shouldPrint.checked | translate }}&lt;/span&gt;
          &lt;/mat-slide-toggle&gt;
        &lt;/div&gt;

        &lt;mat-form-field fxFlex&#x3D;&quot;1 0 20rem&quot;&gt;
          &lt;input maxlength&#x3D;&quot;6&quot;
                 matInput
                 name&#x3D;&quot;count&quot;
                 type&#x3D;&quot;number&quot;
                 formControlName&#x3D;&quot;count&quot;
                 min&#x3D;&quot;1&quot;
                 max&#x3D;&quot;1000&quot;
                 required
                 placeholder&#x3D;&quot;{{&#x27;testing-cards-lot.form.placeholder.count&#x27; | translate  }}&quot;&gt;
          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;count&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;
        &lt;/mat-form-field&gt;

        &lt;div fxFlex&#x3D;&quot;1 0 20rem&quot;&gt;
          &lt;div class&#x3D;&quot;as-fixed-placeholder&quot;&gt;
            &lt;span class&#x3D;&quot;readonly-label&quot;&gt;
              {{&#x27;testing-cards-lot.form.placeholder.printer&#x27; | translate }}
            &lt;/span&gt;
          &lt;/div&gt;
          &lt;span class&#x3D;&quot;readonly-value&quot; id&#x3D;&quot;printer&quot; [class.disabled]&#x3D;&quot;true&quot;&gt;
            {{ printerName }}
          &lt;/span&gt;
        &lt;/div&gt;
      &lt;/div&gt;

      &lt;mat-divider&gt;&lt;/mat-divider&gt;

      &lt;div class&#x3D;&quot;input-row&quot;&gt;
        &lt;h2&gt;
          {{&#x27;testing-cards-lot.form.voter-sub-section-title&#x27; | translate }}
        &lt;/h2&gt;
      &lt;/div&gt;

      &lt;div class&#x3D;&quot;input-row&quot; fxLayout&#x3D;&quot;row wrap&quot; fxLayoutGap&#x3D;&quot;2.5rem&quot;&gt;

        &lt;mat-form-field fxFlex&#x3D;&quot;50 0 20rem&quot;&gt;
          &lt;mat-select required name&#x3D;&quot;signature&quot; formControlName&#x3D;&quot;signature&quot;
                      placeholder&#x3D;&quot;{{&#x27;testing-cards-lot.form.placeholder.signature&#x27; | translate  }}&quot;&gt;
            &lt;mat-option *ngFor&#x3D;&quot;let possibleValue of signaturePossibleValues&quot; [value]&#x3D;&quot;possibleValue&quot;&gt;
              {{&quot;dictionary.signature.&quot; + possibleValue | translate}}
            &lt;/mat-option&gt;
          &lt;/mat-select&gt;
          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;signature&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;
        &lt;/mat-form-field&gt;

        &lt;mat-form-field fxFlex&#x3D;&quot;50 0 20rem&quot;&gt;

          &lt;input matInput
                 required
                 maxlength&#x3D;&quot;30&quot;
                 name&#x3D;&quot;firstName&quot;
                 formControlName&#x3D;&quot;firstName&quot;
                 placeholder&#x3D;&quot;{{&#x27;testing-cards-lot.form.placeholder.first-name&#x27; | translate  }}&quot;&gt;
          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;firstName&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;

        &lt;/mat-form-field&gt;

        &lt;mat-form-field fxFlex&#x3D;&quot;50 0 20rem&quot;&gt;
          &lt;input matInput
                 required
                 maxlength&#x3D;&quot;30&quot;
                 name&#x3D;&quot;lastName&quot;
                 formControlName&#x3D;&quot;lastName&quot;
                 placeholder&#x3D;&quot;{{&#x27;testing-cards-lot.form.placeholder.last-name&#x27; | translate  }}&quot;&gt;
          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;lastName&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;
        &lt;/mat-form-field&gt;

        &lt;mat-form-field fxFlex&#x3D;&quot;50 0 20rem&quot;&gt;
          &lt;mat-placeholder&gt;{{&#x27;testing-cards-lot.form.placeholder.birthday&#x27; | translate }}&lt;/mat-placeholder&gt;
          &lt;mat-datetimepicker-toggle [for]&#x3D;&quot;birthDatepicker&quot; matSuffix&gt;&lt;/mat-datetimepicker-toggle&gt;
          &lt;mat-datetimepicker #birthDatepicker type&#x3D;&quot;date&quot; timeInterval&#x3D;&quot;5&quot;&gt;&lt;/mat-datetimepicker&gt;
          &lt;input matInput
                 required
                 name&#x3D;&quot;birthday&quot;
                 formControlName&#x3D;&quot;birthday&quot;
                 [matDatetimepicker]&#x3D;&quot;birthDatepicker&quot;
                 autocomplete&#x3D;&quot;false&quot;&gt;
          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;birthday&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;
        &lt;/mat-form-field&gt;

      &lt;/div&gt;

      &lt;div class&#x3D;&quot;input-row&quot; fxLayout&#x3D;&quot;row wrap&quot; fxLayoutGap&#x3D;&quot;2.5rem&quot;&gt;
        &lt;mat-form-field fxFlex&#x3D;&quot;50 0 20rem&quot;&gt;
          &lt;input matInput
                 required
                 name&#x3D;&quot;street&quot;
                 maxlength&#x3D;&quot;100&quot;
                 formControlName&#x3D;&quot;street&quot;
                 placeholder&#x3D;&quot;{{&#x27;testing-cards-lot.form.placeholder.street&#x27; | translate  }}&quot;&gt;
          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;street&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;
        &lt;/mat-form-field&gt;
      &lt;/div&gt;

      &lt;div class&#x3D;&quot;input-row address1&quot; fxLayout&#x3D;&quot;row wrap&quot; fxLayoutGap&#x3D;&quot;2.5rem&quot;&gt;

        &lt;mat-form-field fxFlex&#x3D;&quot;50 0 20rem&quot;&gt;
          &lt;input matInput
                 name&#x3D;&quot;address1&quot;
                 formControlName&#x3D;&quot;address1&quot;
                 maxlength&#x3D;&quot;200&quot;
                 placeholder&#x3D;&quot;{{&#x27;testing-cards-lot.form.placeholder.address1&#x27; | translate  }}&quot;&gt;
          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;address1&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;
        &lt;/mat-form-field&gt;
      &lt;/div&gt;

      &lt;div class&#x3D;&quot;input-row&quot; fxLayout&#x3D;&quot;row wrap&quot; fxLayoutGap&#x3D;&quot;2.5rem&quot;&gt;
        &lt;mat-form-field fxFlex&#x3D;&quot;50 0 20rem&quot;&gt;
          &lt;input matInput
                 name&#x3D;&quot;address2&quot;
                 maxlength&#x3D;&quot;200&quot;
                 formControlName&#x3D;&quot;address2&quot;&gt;

          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;address2&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;
        &lt;/mat-form-field&gt;
      &lt;/div&gt;


      &lt;div class&#x3D;&quot;input-row&quot; fxLayout&#x3D;&quot;row wrap&quot; fxLayoutGap&#x3D;&quot;2.5rem&quot;&gt;
        &lt;mat-form-field fxFlex&#x3D;&quot;50 0 20rem&quot;&gt;
          &lt;input matInput
                 required
                 name&#x3D;&quot;postalCode&quot;
                 maxlength&#x3D;&quot;6&quot;
                 formControlName&#x3D;&quot;postalCode&quot;
                 placeholder&#x3D;&quot;{{&#x27;testing-cards-lot.form.placeholder.postal-code&#x27; | translate  }}&quot;&gt;
          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;postalCode&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;
        &lt;/mat-form-field&gt;

        &lt;mat-form-field fxFlex&#x3D;&quot;50 0 20rem&quot;&gt;
          &lt;input matInput
                 required
                 name&#x3D;&quot;city&quot;
                 formControlName&#x3D;&quot;city&quot;
                 maxlength&#x3D;&quot;50&quot;
                 placeholder&#x3D;&quot;{{&#x27;testing-cards-lot.form.placeholder.city&#x27; | translate  }}&quot;&gt;
          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;city&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;
        &lt;/mat-form-field&gt;
      &lt;/div&gt;

      &lt;div class&#x3D;&quot;input-row&quot; fxLayout&#x3D;&quot;row wrap&quot; fxLayoutGap&#x3D;&quot;2.5rem&quot;&gt;
        &lt;mat-form-field fxFlex&#x3D;&quot;50 0 20rem&quot;&gt;
          &lt;input matInput
                 required
                 name&#x3D;&quot;country&quot;
                 formControlName&#x3D;&quot;country&quot;
                 maxlength&#x3D;&quot;50&quot;
                 placeholder&#x3D;&quot;{{&#x27;testing-cards-lot.form.placeholder.country&#x27; | translate  }}&quot;&gt;
          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;country&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;
        &lt;/mat-form-field&gt;
      &lt;/div&gt;

      &lt;div class&#x3D;&quot;input-row&quot; fxLayout&#x3D;&quot;row wrap&quot; fxLayoutGap&#x3D;&quot;2.5rem&quot;&gt;
        &lt;div fxFlex&#x3D;&quot;50 0 20rem&quot;&gt;
          &lt;mat-form-field fxFlex&#x3D;&quot;50 0 20rem&quot;&gt;
            &lt;mat-select required name&#x3D;&quot;language&quot; formControlName&#x3D;&quot;doi&quot; [multiple]&#x3D;&quot;true&quot;
                        placeholder&#x3D;&quot;{{&#x27;testing-cards-lot.form.placeholder.doi&#x27; | translate  }}&quot;&gt;
              &lt;mat-option *ngFor&#x3D;&quot;let possibleValue of doiPossibleValue&quot; [value]&#x3D;&quot;possibleValue.id&quot;&gt;
                {{ possibleValue.type }} / {{ possibleValue.name }}
              &lt;/mat-option&gt;
            &lt;/mat-select&gt;

            &lt;mat-error&gt;
              &lt;default-errors [fieldName]&#x3D;&quot;&#x27;doi&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
            &lt;/mat-error&gt;
          &lt;/mat-form-field&gt;
        &lt;/div&gt;

        &lt;mat-form-field fxFlex&#x3D;&quot;50 0 20rem&quot;&gt;
          &lt;mat-select required name&#x3D;&quot;language&quot; formControlName&#x3D;&quot;language&quot;
                      placeholder&#x3D;&quot;{{&#x27;testing-cards-lot.form.placeholder.language&#x27; | translate  }}&quot;&gt;
            &lt;mat-option *ngFor&#x3D;&quot;let possibleValue of testingCardLanguagePossibleValues&quot; [value]&#x3D;&quot;possibleValue&quot;&gt;
              {{&quot;dictionary.testing-card-language.&quot; + possibleValue | translate}}
            &lt;/mat-option&gt;
          &lt;/mat-select&gt;

          &lt;mat-error&gt;
            &lt;default-errors [fieldName]&#x3D;&quot;&#x27;language&#x27;&quot; [form]&#x3D;&quot;form&quot;&gt;&lt;/default-errors&gt;
          &lt;/mat-error&gt;
        &lt;/mat-form-field&gt;
      &lt;/div&gt;

    &lt;/mat-card-content&gt;

    &lt;mat-card-actions *ngIf&#x3D;&quot;!readOnly&quot;&gt;
      &lt;div fxLayout fxLayoutAlign&#x3D;&quot;end&quot;&gt;
        &lt;button mat-raised-button
                id&#x3D;&quot;saveButton&quot;
                color&#x3D;&quot;primary&quot;
                type&#x3D;&quot;submit&quot;
                (click)&#x3D;&quot;save()&quot;&gt;{{&#x27;global.actions.save&#x27; | translate | uppercase}}
        &lt;/button&gt;
      &lt;/div&gt;
    &lt;/mat-card-actions&gt;
  &lt;/mat-card&gt;
&lt;/form&gt;

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./testing-cards-lot-details.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">
.input-row {
  margin-bottom: 0.5rem;
  padding: 0 1.6rem;
}

.input-row:first-child {
  padding-top: 1.6rem;
}

.input-row.address1 {
  margin-bottom: -25px;
}

.input-row:last-child {
  margin-bottom: 0;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><form [formGroup]="form" novalidate autocomplete="off">  <mat-card id="testingCardsLotEdit" [class.read-only]="readOnly">    <mat-card-header>      <mat-card-title>{{ "testing-cards-lot.title" | translate }}</mat-card-title>      <mat-card-subtitle fxLayout fxLayoutAlign="space-between">        <span>{{ "testing-cards-lot.subtitle." + mode | translate }}</span>        <span *ngIf="!readOnly">{{\'global.forms.fields.required\' | translate}}</span>      </mat-card-subtitle>    </mat-card-header>    <mat-card-content class="no-padding">      <div class="input-row" fxLayout="row wrap"  fxLayoutGap="2.5rem">        <mat-form-field fxFlex="1 0 20rem">          <input matInput                 name="lotName"                 formControlName="lotName"                 required                 maxlength="20"                 placeholder="{{\'testing-cards-lot.form.placeholder.lot-name\' | translate  }}">          <mat-error>            <default-errors [fieldName]="\'lotName\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>        <div fxFlex="1 0 20rem"></div>        <div fxFlex="1 0 20rem"></div>        <div fxFlex="1 0 20rem"></div>      </div>      <div class="input-row" fxLayout="row wrap" fxLayoutGap="2.5rem">        <mat-form-field fxFlex="1 0 20rem">          <mat-select name="cardType" formControlName="cardType" (selectionChange)="updateShouldPrint(true)"                      placeholder="{{\'testing-cards-lot.form.placeholder.\' + (forConfiguration?\'card-type-fixed\':\'card-type\')  | translate  }}">            <mat-option *ngFor="let possibleValue of cardTypePossibleValues" [value]="possibleValue">              {{"dictionary.card-type." + possibleValue | translate}}            </mat-option>          </mat-select>          <mat-error>            <default-errors [fieldName]="\'cardType\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>        <div fxFlex="1 0 20rem">          <div class="as-fixed-placeholder">            {{\'testing-cards-lot.form.placeholder.should-print\' | translate }}          </div>          <mat-slide-toggle #shouldPrint name="shouldPrint" color="primary" formControlName="shouldPrint">            <span [class.disabled]="shouldPrint.disabled">{{\'testing-cards-lot.form.values.should-print.\' + shouldPrint.checked | translate }}</span>          </mat-slide-toggle>        </div>        <mat-form-field fxFlex="1 0 20rem">          <input maxlength="6"                 matInput                 name="count"                 type="number"                 formControlName="count"                 min="1"                 max="1000"                 required                 placeholder="{{\'testing-cards-lot.form.placeholder.count\' | translate  }}">          <mat-error>            <default-errors [fieldName]="\'count\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>        <div fxFlex="1 0 20rem">          <div class="as-fixed-placeholder">            <span class="readonly-label">              {{\'testing-cards-lot.form.placeholder.printer\' | translate }}            </span>          </div>          <span class="readonly-value" id="printer" [class.disabled]="true">            {{ printerName }}          </span>        </div>      </div>      <mat-divider></mat-divider>      <div class="input-row">        <h2>          {{\'testing-cards-lot.form.voter-sub-section-title\' | translate }}        </h2>      </div>      <div class="input-row" fxLayout="row wrap" fxLayoutGap="2.5rem">        <mat-form-field fxFlex="50 0 20rem">          <mat-select required name="signature" formControlName="signature"                      placeholder="{{\'testing-cards-lot.form.placeholder.signature\' | translate  }}">            <mat-option *ngFor="let possibleValue of signaturePossibleValues" [value]="possibleValue">              {{"dictionary.signature." + possibleValue | translate}}            </mat-option>          </mat-select>          <mat-error>            <default-errors [fieldName]="\'signature\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>        <mat-form-field fxFlex="50 0 20rem">          <input matInput                 required                 maxlength="30"                 name="firstName"                 formControlName="firstName"                 placeholder="{{\'testing-cards-lot.form.placeholder.first-name\' | translate  }}">          <mat-error>            <default-errors [fieldName]="\'firstName\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>        <mat-form-field fxFlex="50 0 20rem">          <input matInput                 required                 maxlength="30"                 name="lastName"                 formControlName="lastName"                 placeholder="{{\'testing-cards-lot.form.placeholder.last-name\' | translate  }}">          <mat-error>            <default-errors [fieldName]="\'lastName\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>        <mat-form-field fxFlex="50 0 20rem">          <mat-placeholder>{{\'testing-cards-lot.form.placeholder.birthday\' | translate }}</mat-placeholder>          <mat-datetimepicker-toggle [for]="birthDatepicker" matSuffix></mat-datetimepicker-toggle>          <mat-datetimepicker #birthDatepicker type="date" timeInterval="5"></mat-datetimepicker>          <input matInput                 required                 name="birthday"                 formControlName="birthday"                 [matDatetimepicker]="birthDatepicker"                 autocomplete="false">          <mat-error>            <default-errors [fieldName]="\'birthday\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>      </div>      <div class="input-row" fxLayout="row wrap" fxLayoutGap="2.5rem">        <mat-form-field fxFlex="50 0 20rem">          <input matInput                 required                 name="street"                 maxlength="100"                 formControlName="street"                 placeholder="{{\'testing-cards-lot.form.placeholder.street\' | translate  }}">          <mat-error>            <default-errors [fieldName]="\'street\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>      </div>      <div class="input-row address1" fxLayout="row wrap" fxLayoutGap="2.5rem">        <mat-form-field fxFlex="50 0 20rem">          <input matInput                 name="address1"                 formControlName="address1"                 maxlength="200"                 placeholder="{{\'testing-cards-lot.form.placeholder.address1\' | translate  }}">          <mat-error>            <default-errors [fieldName]="\'address1\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>      </div>      <div class="input-row" fxLayout="row wrap" fxLayoutGap="2.5rem">        <mat-form-field fxFlex="50 0 20rem">          <input matInput                 name="address2"                 maxlength="200"                 formControlName="address2">          <mat-error>            <default-errors [fieldName]="\'address2\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>      </div>      <div class="input-row" fxLayout="row wrap" fxLayoutGap="2.5rem">        <mat-form-field fxFlex="50 0 20rem">          <input matInput                 required                 name="postalCode"                 maxlength="6"                 formControlName="postalCode"                 placeholder="{{\'testing-cards-lot.form.placeholder.postal-code\' | translate  }}">          <mat-error>            <default-errors [fieldName]="\'postalCode\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>        <mat-form-field fxFlex="50 0 20rem">          <input matInput                 required                 name="city"                 formControlName="city"                 maxlength="50"                 placeholder="{{\'testing-cards-lot.form.placeholder.city\' | translate  }}">          <mat-error>            <default-errors [fieldName]="\'city\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>      </div>      <div class="input-row" fxLayout="row wrap" fxLayoutGap="2.5rem">        <mat-form-field fxFlex="50 0 20rem">          <input matInput                 required                 name="country"                 formControlName="country"                 maxlength="50"                 placeholder="{{\'testing-cards-lot.form.placeholder.country\' | translate  }}">          <mat-error>            <default-errors [fieldName]="\'country\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>      </div>      <div class="input-row" fxLayout="row wrap" fxLayoutGap="2.5rem">        <div fxFlex="50 0 20rem">          <mat-form-field fxFlex="50 0 20rem">            <mat-select required name="language" formControlName="doi" [multiple]="true"                        placeholder="{{\'testing-cards-lot.form.placeholder.doi\' | translate  }}">              <mat-option *ngFor="let possibleValue of doiPossibleValue" [value]="possibleValue.id">                {{ possibleValue.type }} / {{ possibleValue.name }}              </mat-option>            </mat-select>            <mat-error>              <default-errors [fieldName]="\'doi\'" [form]="form"></default-errors>            </mat-error>          </mat-form-field>        </div>        <mat-form-field fxFlex="50 0 20rem">          <mat-select required name="language" formControlName="language"                      placeholder="{{\'testing-cards-lot.form.placeholder.language\' | translate  }}">            <mat-option *ngFor="let possibleValue of testingCardLanguagePossibleValues" [value]="possibleValue">              {{"dictionary.testing-card-language." + possibleValue | translate}}            </mat-option>          </mat-select>          <mat-error>            <default-errors [fieldName]="\'language\'" [form]="form"></default-errors>          </mat-error>        </mat-form-field>      </div>    </mat-card-content>    <mat-card-actions *ngIf="!readOnly">      <div fxLayout fxLayoutAlign="end">        <button mat-raised-button                id="saveButton"                color="primary"                type="submit"                (click)="save()">{{\'global.actions.save\' | translate | uppercase}}        </button>      </div>    </mat-card-actions>  </mat-card></form></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'TestingCardsLotDetailsComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'TestingCardsLotDetailsComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
